<template>
     <section class="header">
          <nav>
               <a href="index.html"><img src="../assets/imagPasteleria/logo.jpg" alt=""></a>
               <div class="nav-links" id="navLinks">
                    <i class="fas fa-times" @click="hideMenu()"></i>
                    <ul>
                         <li><a href="https://thekaizen.000webhostapp.com/" target="_blank">Home</a></li>
                         <li><a href="#about-html">About</a></li>
                         <li><a href="https://thekaizen.000webhostapp.com/course.html" target="_blank">Courses</a></li>
                         <li><a href="#miForm">Contact</a></li>
                    </ul>
               </div>
               <i class="fas fa-bars" @click="showMenu()"></i>
          </nav>
          <div class="text-box">
               <h1>Echeandia Pasteleria</h1>
               <p>Tortas y pasteleria temática, postres, tartas y muchas delicias mas!</p>
               <a href="https://thekaizen.000webhostapp.com/about.html" target="_blank" class="rounded-3 hero-btn">Conoce mas</a>
          </div>
     </section>

</template>

<script>
export default {
     name: "HeaderHtml",
     methods: {
          
          showMenu: function(){
               var navLinks = document.getElementById("navLinks");
               navLinks.style.right = "0";
          },
          hideMenu: function() {               
               navLinks.style.right = "-200px";
          }
     }
}

</script>

<style scoped>
.header {
     min-height: 90vh;
     width: 100%;
     background-image: linear-gradient(rgba(4, 9, 30, 0.6), rgba(4, 9, 30, 0.6)), url(../assets/imagPasteleria/imagebanner.png);
     background-position: center;
     background-size: cover;
     position: relative;
}

nav {
     display: flex;
     padding: 2% 6%;
     justify-content: space-between;
     align-items: center;
}

nav img {
     width: 120px;
     border-radius: 50%;
}

.nav-links {
     flex: 1;
     text-align: right;
}

.nav-links ul li {
     list-style: none;
     display: inline-block;
     padding: 8px 12px;
     position: relative;
}

.nav-links ul li a {
     font-family: 'Emilys Candy', cursive;;
     color: rgb(255, 255, 255);
     text-decoration: none;
     font-size: 22px;

}

.nav-links ul li::after {
     content: '';
     width: 0%;
     height: 2px;
     background: #f44336;
     display: block;
     margin: auto;
     transition: 0.4s;
}

.nav-links ul li:hover::after {
     width: 100%;
}

.text-box {
     width: 90%;
     color: #fff;
     position: absolute;
     top: 50%;
     left: 50%;
     transform: translate(-50%, -50%);
     text-align: center;
}

.text-box h1 {
     font-family: 'Emilys Candy', cursive;
     color: rgb(217, 128, 244);
     font-size: 50px;
}

.text-box p {
     margin: 20px 0 10px;
     font-size: 20px;
     color: #fff;
}

.hero-btn {
     display: inline-block;
     text-decoration: none;
     color: rgb(255, 255, 255);
     border: 1px solid #fff;
     padding: 8px;
     margin-top: 40px;
     font-size: 15px;
     background: transparent;
     position: relative;
     cursor: pointer;
}

.hero-btn:hover {
     border: 1px solid #000000;
     background: rgba(55, 184, 154, 0.5);
     transition: 1s;
}

nav .fas {
     display: none;
}
 @media(max-width: 760px){
      
      .text-box h1{
         font-size: 50px;
      }
      .nav-links ul li{
         display: block;
      }
      .nav-links{
         position: fixed;
         background: #f44366;
         height: 100vh;
         width: 200px;
         top: 0;
         right: -200px;
         text-align: left;
         z-index: 2;
         transition: 1s;
      }
      nav .fas{
         display: block;
         color: rgb(212, 64, 64);
         margin: 10px;
         font-size: 40px;
         cursor: pointer;
      }
      .text-box p{
         margin: 10px 0 40px;
         font-size: 14px;
         color: rgb(255, 255, 255);
      }
      .nav-links ul{
         padding: 30px;
      }
   }
</style>